GNU bug report logs - #40589
^L printed when resizing Emacs split window using ksh93

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Nicholas Papadonis <nick.papadonis.ml@HIDDEN>; merged with #40732, #40735; dated Mon, 13 Apr 2020 03:28:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 40589 40732 40735. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40589 <at> debbugs.gnu.org:


Received: (at 40589) by debbugs.gnu.org; 13 Apr 2020 04:06:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 00:06:33 2020
Received: from localhost ([127.0.0.1]:59089 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jNqMj-0004sY-CW
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 00:06:33 -0400
Received: from shell1.rawbw.com ([198.144.192.42]:20142 ident=root)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mkupfer@HIDDEN>) id 1jNqMg-0004sP-Qu
 for 40589 <at> debbugs.gnu.org; Mon, 13 Apr 2020 00:06:31 -0400
Received: from alto (96-95-200-133-static.hfc.comcastbusiness.net
 [96.95.200.133]) (authenticated bits=0)
 by shell1.rawbw.com (8.15.1/8.15.1) with ESMTPSA id 03D46M3C011312
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO);
 Sun, 12 Apr 2020 21:06:28 -0700 (PDT)
 (envelope-from mkupfer@HIDDEN)
X-Authentication-Warning: shell1.rawbw.com: Host
 96-95-200-133-static.hfc.comcastbusiness.net [96.95.200.133] claimed to be
 alto
From: Mike Kupfer <mkupfer@HIDDEN>
To: Nicholas Papadonis <nick.papadonis.ml@HIDDEN>
Subject: Re: bug#40589: ^L printed when resizing Emacs split window using
 ksh93 
In-Reply-To: Your message of "Sun, 12 Apr 2020 23:23:05 -0400."
 <421A39CF-3345-4951-B406-830F4D4F132E@HIDDEN>
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 27.0.90
MIME-Version: 1.0
Content-Type: text/plain
Date: Sun, 12 Apr 2020 21:06:20 -0700
Message-ID: <17989.1586750780@alto>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40589
Cc: Bruno =?utf-8?Q?F=C3=A9lix?= Rezende Ribeiro <oitofelix@HIDDEN>,
 Korn Shell <korn-shell@HIDDEN>, 40589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Nicholas Papadonis wrote:

> PS2 is printed multiple times during the resize.  When entered is
> pressed after the resize, multiple ^L s are displayed.  I set PS2=""
> and the brackets are omitted, however ^L still remain after pressing
> enter.
> 
> Is this a known issue?

Yes.  Here's the text from the Emacs PROBLEMS file:

  *** In Shell buffers using ksh, resizing a window inserts random characters.
  
  The characters come from the PS2 prompt, but they are not followed by
  a newline, which messes up the next command you type.  This strange
  effect is caused by Emacs 25 and later telling the shell that its
  screen size changed.
  
  To work around the problem, customize the option
  'window-adjust-process-window-size-function' to "Do not adjust process
  window sizes" (Lisp value 'ignore').
  
regards,
mike




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40589; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Apr 2020 03:27:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 12 23:27:08 2020
Received: from localhost ([127.0.0.1]:59070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jNpka-0003tC-MP
	for submit <at> debbugs.gnu.org; Sun, 12 Apr 2020 23:27:08 -0400
Received: from lists.gnu.org ([209.51.188.17]:47589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nick.papadonis.ml@HIDDEN>) id 1jNpgl-0003nO-8D
 for submit <at> debbugs.gnu.org; Sun, 12 Apr 2020 23:23:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46403)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <nick.papadonis.ml@HIDDEN>) id 1jNpgk-00080e-2I
 for bug-gnu-emacs@HIDDEN; Sun, 12 Apr 2020 23:23:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nick.papadonis.ml@HIDDEN>) id 1jNpgi-000898-T2
 for bug-gnu-emacs@HIDDEN; Sun, 12 Apr 2020 23:23:09 -0400
Received: from mail-qt1-x834.google.com ([2607:f8b0:4864:20::834]:42979)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <nick.papadonis.ml@HIDDEN>)
 id 1jNpgi-00088m-PT; Sun, 12 Apr 2020 23:23:08 -0400
Received: by mail-qt1-x834.google.com with SMTP id b10so6211303qtt.9;
 Sun, 12 Apr 2020 20:23:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:mime-version:subject:message-id:date:cc:to;
 bh=AZjTkgD0KpK6fAphfBcAFDuZeb+PipFHhtqj+iwp0aU=;
 b=OoHs/OFJegoD/hXKL9jOR/QpR4R2OyLqn6K6H+CyweOc0l5fs4chkBKR7Euh+WhZMZ
 5Lo+kjh8cjgbwd7K4ALthWOC/t6IA1jz9Eyh+A7YKrZvBm3QFRetC/L34hYxTG4iQLJ8
 pzIiZs+fYlAOXHF2v4CIuu5rmC0jpQINCwb19XvpJz5adLVpJBp/mvj1dyUuLWy1FyWO
 zheSXwvtv+R77S/eQRWKG+wo0fX8SOAzSlFVrxhGyo/PES3k3oIYkAg2HHZDBReoqUXP
 M9IH0+EzYOhA5ri7WEFWD/P61rYOPL0ehSUGyHunEC8+eYyTxDZCLyofldSpqFYrBXmD
 Kpxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:subject:message-id:date:cc:to;
 bh=AZjTkgD0KpK6fAphfBcAFDuZeb+PipFHhtqj+iwp0aU=;
 b=EZ5CS1rPW9ajSf2Kt33CsiZRIsZR9J7rs3L0O/4TdbTSC3xP4wtQ0RUsUJPVWhA/zU
 9TYGMHhGC5DSWMUBPvinv8WO6Kx4GCMLkNGf8P5S5ZjhDTAavOgu6BvbzWENk8OTuos9
 1r9hp20AH2pMjuzyCpYhp7in7SrC0PwvAMMMsJuLw+zJePxz72cXIxKYR9UNOk3wR9pV
 p/rkCiBWwcFspxmknhHsJHhLJSXPjqB+ML3dZMDLk4MDfC4fn/k9ej9mj13dIOVU3IZ0
 52qmr2XupsaVSr/gF2pLvWHm+/dKoi1yXQNaxiKzQcXjosf6SOr5as+Fd73C4jYnxazc
 iDVw==
X-Gm-Message-State: AGi0PubfBHTJxqufXa7FLcIjpNoD0waz7f4yOC7KMMevS2SinUXmvMmk
 kb2I7RxtKdLKDD4sCcmfm/d4PIR9KTM=
X-Google-Smtp-Source: APiQypLIuwrOHsTrlWHDs8hLkBJg+I3gn1Lnh4Gu54YmUgew5JAitoUCuM/GTkuqRtZDIKx9FMCUsQ==
X-Received: by 2002:aed:2142:: with SMTP id 60mr9686610qtc.177.1586748187495; 
 Sun, 12 Apr 2020 20:23:07 -0700 (PDT)
Received: from ?IPv6:2601:19d:303:7ba0:1077:495:de6d:6fa5?
 ([2601:19d:303:7ba0:1077:495:de6d:6fa5])
 by smtp.gmail.com with ESMTPSA id q13sm7301380qki.136.2020.04.12.20.23.06
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 12 Apr 2020 20:23:06 -0700 (PDT)
From: Nicholas Papadonis <nick.papadonis.ml@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_CBC55589-B94A-4C61-B969-C77E36DC037E"
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.80.23.2.2\))
Subject: ^L printed when resizing Emacs split window using ksh93 
Message-Id: <421A39CF-3345-4951-B406-830F4D4F132E@HIDDEN>
Date: Sun, 12 Apr 2020 23:23:05 -0400
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3608.80.23.2.2)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::834
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 12 Apr 2020 23:27:08 -0400
Cc: =?utf-8?Q?Bruno_F=C3=A9lix_Rezende_Ribeiro?= <oitofelix@HIDDEN>,
 Korn Shell <korn-shell@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--Apple-Mail=_CBC55589-B94A-4C61-B969-C77E36DC037E
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

I have attached a screen shot of the issue.  The issue occurs when Emacs =
is in split window mode, X session and M-x shell is invoked.  The shell =
is ksh93.  I tried finding the Emacs bug tracker, however this is the =
only method I found to file a bug. This has been reproduced by others.

Screenshot of issue:
http://nickpapadonis.com/images-share/emacs-ksh-0.png =
<http://nickpapadonis.com/images-share/emacs-ksh-0.png>

PS2 is printed multiple times during the resize.  When entered is =
pressed after the resize, multiple ^L s are displayed.  I set PS2=3D"" =
and the brackets are omitted, however ^L still remain after pressing =
enter.

Is this a known issue?  I have CC'd KSH list in case the problem is on =
the ksh93 side.

Thanks

Emacs 26.1 build 2.

1 [debian:~]$ echo $0
-ksh93
2 [debian:~]$ ksh93 --version
  version         sh (AT&T Research) 93u+ 2012-08-01
3 [debian:~]$ echo ${.sh.version}
Version AJM 93u+ 2012-08-01=

--Apple-Mail=_CBC55589-B94A-4C61-B969-C77E36DC037E
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dus-ascii"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D""><div =
class=3D"">I have attached a screen shot&nbsp;of the issue.&nbsp; The =
issue occurs when Emacs is in split window mode, X session and M-x shell =
is invoked.&nbsp; The shell is ksh93. &nbsp;I tried finding the Emacs =
bug tracker, however this is the only method I found to file a bug. This =
has been reproduced by others.</div><div class=3D""><br =
class=3D""></div><div class=3D"">Screenshot of issue:</div><div =
class=3D""><a =
href=3D"http://nickpapadonis.com/images-share/emacs-ksh-0.png" =
class=3D"">http://nickpapadonis.com/images-share/emacs-ksh-0.png</a><br =
class=3D""></div><div class=3D""><br class=3D""></div><div class=3D"">PS2 =
is printed multiple times during the resize.&nbsp; When entered is =
pressed after the resize, multiple ^L s are displayed.&nbsp; I set =
PS2=3D"" and the brackets are omitted, however ^L still remain after =
pressing enter.</div><div class=3D""><br class=3D""></div><div =
class=3D"">Is this a known issue?&nbsp; I have CC'd KSH list in case the =
problem is on the ksh93 side.</div><div class=3D""><br =
class=3D""></div><div class=3D"">Thanks</div><div class=3D""><br =
class=3D""></div><div class=3D"">Emacs 26.1 build 2.</div><div =
class=3D""><br class=3D""></div><div class=3D"">1 [debian:~]$ echo =
$0</div><div class=3D"">-ksh93</div><div class=3D"">2 [debian:~]$ ksh93 =
--version</div><div class=3D"">&nbsp; version &nbsp; &nbsp; &nbsp; =
&nbsp; sh (AT&amp;T Research) 93u+ 2012-08-01</div><div class=3D"">3 =
[debian:~]$ echo ${.sh.version}</div><div class=3D"">Version AJM 93u+ =
2012-08-01</div></body></html>=

--Apple-Mail=_CBC55589-B94A-4C61-B969-C77E36DC037E--




Acknowledgement sent to Nicholas Papadonis <nick.papadonis.ml@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40589; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Apr 2020 17:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.